package registry_test

import (
	"flow/registry"
	"testing"

	. "flow/internal/check"
)

func TestRegistryGet(t *testing.T) {
	c := Check(t)

	r := registry.New()
	r.Register("vecadd", dummy1)

	fn, err := r.Get("vecadd")

	c.Err(err)
	c.Diff(nil, fn)

}

func TestRegistry(t *testing.T) {
	c := Check(t)

	r := registry.New()
	r.Register("vecadd", dummy1)

	d, err := r.Describe("vecadd")
	c.Err(err)

	t.Log(d)

}
func TestDescriptions(t *testing.T) {
	c := Check(t)

	r := registry.New()
	r.Register("vecadd", dummy1)
	r.Register("vecstr", dummy2)

	d, err := r.Descriptions()
	c.Err(err)

	t.Log(d)

}

func dummy1([]float32, []float32) []float32 {
	return []float32{1, 3, 3, 7}
}
func dummy2([]float32) string {
	return ""
}
